<?php

namespace App\Http\Controllers;

use App\Models\Comment;
use App\Models\News;
use Illuminate\Http\Request;

class CommentController extends Controller
{
    // Armazenar um novo comentário
    public function store(Request $request, $newsId)
    {
        $request->validate(['comment' => 'required']);

        $comment = new Comment();
        $comment->user_id = auth()->id(); // ID do usuário autenticado
        $comment->news_id = $newsId;
        $comment->comment = $request->comment;
        $comment->save();

        return redirect()->route('news.show', $newsId)->with('success', 'Comentário adicionado com sucesso!');
    }
}

