<?php

namespace App\Http\Controllers;

use App\Models\Like;
use App\Models\News;
use Illuminate\Http\Request;

class LikeController extends Controller
{
    // Curtir uma notícia
    public function store(Request $request, $newsId)
    {
        // Verifica se o usuário já curtiu a notícia
        $likeExists = Like::where('user_id', auth()->id())
            ->where('news_id', $newsId)
            ->exists();

        if (!$likeExists) {
            $like = new Like();
            $like->user_id = auth()->id(); // ID do usuário autenticado
            $like->news_id = $newsId;
            $like->save();
        }

        return redirect()->route('news.show', $newsId)->with('success', 'Você curtiu esta notícia!');
    }

    // Remover uma curtida
    public function destroy($newsId)
    {
        $like = Like::where('user_id', auth()->id())
            ->where('news_id', $newsId)
            ->first();

        if ($like) {
            $like->delete();
        }

        return redirect()->route('news.show', $newsId)->with('success', 'Você descurtiu esta notícia!');
    }
}

