<?php

namespace App\Http\Controllers;

use App\Models\News;
use Illuminate\Http\Request;

class NewsController extends Controller
{
    // Exibir a lista de notícias
    public function index()
    {
        $news = News::orderBy('published_at', 'desc')->get(); // Obtém todas as notícias ordenadas pela data de publicação
        return view('news.index', compact('news'));
    }

    // Exibir uma única notícia
    public function show($id)
    {
        $news = News::findOrFail($id); // Obtém a notícia pelo ID
        return view('news.show', compact('news'));
    }
}
