<?php

namespace App\Http\Controllers;

use App\Models\News;
use App\Models\VisitorInfo;
use Illuminate\Http\Request;
use Jenssegers\Agent\Agent;




class VisitorController extends Controller
{
    public function show($id)
    {
        // Instanciar a classe Agent
        $agent = new Agent();

        // Obter a localização usando geoip
        $location = geoip()->getLocation(request()->ip());

        // Criar um novo registro no VisitorInfo
        VisitorInfo::create([
            'news_id' => $id,
            'device' => $agent->device(),
            'browser' => $agent->browser(),
            'location' => $location->city . ', ' . $location->country,
            'session_time' => now(),
        ]);

        // Obter a notícia pelo ID
        $news = News::findOrFail($id);

        // Retornar a view com a notícia
        return view('news.show', compact('news'));
    }


}
