@extends('layouts.app')

@section('content')
    <div class="container">
        <h1>Editar Notícia</h1>

        <form action="{{ route('admin.update', $news->id) }}" method="POST" enctype="multipart/form-data">
            @csrf
            @method('PUT')
            <div class="mb-3">
                <label for="title" class="form-label">Título</label>
                <input type="text" class="form-control" id="title" name="title" value="{{ old('title', $news->title) }}" required>
            </div>
            <div class="mb-3">
                <label for="content" class="form-label">Conteúdo</label>
                <textarea class="form-control" id="content" name="content" rows="5" required>{{ old('content', $news->content) }}</textarea>
            </div>
            <div class="mb-3">
                <label for="image" class="form-label">Imagem (Opcional)</label>
                <input type="file" class="form-control" id="image" name="image">
                @if ($news->image)
                    <small>Imagem atual: <img src="{{ asset('storage/' . $news->image) }}" alt="Imagem" style="max-width: 100px;"></small>
                @endif
            </div>
            <button type="submit" class="btn btn-primary">Atualizar</button>
        </form>
    </div>
@endsection
