@extends('layouts.app')

<style>

.btn-primary {
    padding: 10px 15px;
    background-color: #007bff; /* Cor de fundo azul */
    color: #fff; /* Cor do texto */
    text-decoration: none; /* Remove o sublinhado */
    border: none; /* Remove bordas */
    border-radius: 5px; /* Bordas arredondadas */
    font-size: 16px; /* Tamanho da fonte */
    transition: background-color 0.3s; /* Efeito de transição */
    width: 200px;
    margin: 10px;
}

.btn-primary:hover {
    background-color: #0056b3; /* Cor de fundo ao passar o mouse */
}

    .table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
    background-color: #fff;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}

.table thead {
    background-color: #041930;
    color: #fff;
}

.table th, .table td {
    padding: 15px;
    text-align: left;
    border: 1px solid #ddd;
}

.table th {
    font-weight: bold;
}

.table tbody tr:hover {
    background-color: #f1f1f1;
}

.btn {
    padding: 8px 12px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.btn-warning {
    background-color: #ffc107;
    color: #fff;
}

.btn-warning:hover {
    background-color: #e0a800;
}

.btn-danger {
    background-color: #dc3545;
    color: #fff;
}

.btn-danger:hover {
    background-color: #c82333;
}

</style>

@section('content')
    <div class="container">
        <h1>Painel de Administração - Notícias</h1>

        <a href="{{ route('admin.create') }}" class="btn btn-primary">Adicionar Nova Notícia</a>

        @if(session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif

        <table class="table table-bordered mt-4">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Título</th>
                    <th>Data de Publicação</th>
                    <th>Ações</th>
                </tr>
            </thead>
            <tbody>
                @foreach($news as $n)
                    <tr>
                        <td>{{ $n->id }}</td>
                        <td>{{ $n->title }}</td>
                        <td>{{ $n->published_at }}</td>
                        <td>
                            <a href="{{ route('admin.edit', $n->id) }}" class="btn btn-warning">Editar</a>
                            <form action="{{ route('news.destroy', $n->id) }}" method="POST" style="display:inline;">
                                @csrf
                                @method('DELETE')
                                <button type="submit" class="btn btn-danger">Remover</button>
                            </form>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
@endsection
