<style>
    @import url('https://fonts.googleapis.com/css?family=Oswald:300,400,500|PT+Sans+Narrow:400,700|Play:400,700|Ubuntu+Condensed&display=swap&subset=cyrillic');


    * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }

    ul,
    li {
        list-style: none;
    }

    html,
    body {
        height: 100%;
        background: #efefef;
        font-family: 'Oswald', sans-serif;
    }

    .container {
        display: flex;
        flex-direction: column;
        /* height: 100%; */
        /* width: 100%; */
        /* min-width: 480px; */
        margin-top:50px;
        padding: 0 40px;
    }

    .breadcrumb {
        display: flex;
        border-radius: 10px;
        margin: auto;
        text-align: center;
        top: 50%;
        width: 100%;
        height: 40px;
        transform: translateY(-50%);
        z-index: 1;
        justify-content: center;
    }


    .breadcrumb__item {
        height: 100%;
        background-color: white;
        color: #252525;
        font-family: 'Oswald', sans-serif;
        border-radius: 7px;
        letter-spacing: 1px;
        transition: all 0.3s ease;
        text-transform: uppercase;
        position: relative;
        display: inline-flex;
        justify-content: center;
        align-items: center;
        font-size: 16px;
        transform: skew(-21deg);
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.26);
        margin: 5px;
        padding: 0 40px;
        cursor: pointer;
    }


    .breadcrumb__item:hover {
        background: #490099;
        color: #FFF;
    }


    .breadcrumb__inner {
        display: flex;
        flex-direction: column;
        margin: auto;
        z-index: 2;
        transform: skew(21deg);
    }

    .breadcrumb__title {
        font-size: 16px;
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
    }

    .breadcrumb a {
        color: black;
        text-decoration: none;
    }


    @media all and (max-width: 1000px) {
        .breadcrumb {
            height: 35px;
        }

        .breadcrumb__title {
            font-size: 11px;
        }

        .breadcrumb__item {
            padding: 0 30px;
        }
    }

    @media all and (max-width: 710px) {
        .breadcrumb {
            height: 30px;
        }

        .breadcrumb__item {
            padding: 0 20px;
        }

    }
</style>


<body>

<div class="container">
    <ul class="breadcrumb">
        <li class="breadcrumb__item breadcrumb__item-firstChild">
            <span class="breadcrumb__inner">
                <span class="breadcrumb__title"> <a class="nav-link"
                        href="<?php echo e(route('dashboard')); ?>">Dashboard</a></span>
            </span>
        </li>
        <li class="breadcrumb__item">
            <span class="breadcrumb__inner">
                <span class="breadcrumb__title"> <a class="nav-link"
                        href="<?php echo e(route('admin.reports')); ?>">Relatórios</a></span>
            </span>
        </li>
        <li class="breadcrumb__item">
            <span class="breadcrumb__inner">
                <span class="breadcrumb__title"><a class="nav-link"
                        href="<?php echo e(route('admin.index')); ?>">Notícias</a></span>
            </span>
        </li>
        <li class="breadcrumb__item breadcrumb__item-lastChild">
            <span class="breadcrumb__inner">
                <span class="breadcrumb__title"><a class="nav-link" href="<?php echo e(route('admin.create')); ?>">Adicionar
                        Notícia</a></span>
            </span>
        </li>
        <li class="breadcrumb__item breadcrumb__item-lastChild">
            <span class="breadcrumb__inner">
                <span class="breadcrumb__title"><a class="nav-link"
                        href="<?php echo e(route('profile.edit')); ?>">Perfil</a></span>
            </span>
        </li>
    </ul>
</div>

<style>
    @import url('https://fonts.googleapis.com/css2?family=Outfit:wght@300;400;600&display=swap');

    :root {
        font-size: 15px;
        --var-soft-blue: hsl(215, 51%, 70%);
        --var-cyan: hsl(178, 100%, 50%);
        --var-main-darkest: hsl(217, 54%, 11%);
        --var-card-dark: hsl(216, 50%, 16%);
        --var-line-dark: hsl(215, 32%, 27%);
        --var-lightest: white;
        --var-heading: normal normal 600 1.5em/1.6em 'Outfit', sans-serif;
        --var-small-heading: normal normal 400 1em/1em 'Outfit', sans-serif;
        --var-para: normal normal 300 1em/1.55em 'Outfit', sans-serif;
    }

    img {
        width: 100%;
        border-radius: 15px;
        display: block;
    }

    a {
        color: inherit;
    }

    h1 {
        font: var(--var-heading);
        color: var(--var-lightest);
        padding: 1.2em 0;
    }

    h2 {
        font: var(--var-small-heading);
        color: var(--var-lightest);
    }

    p {
        font: var(--var-para);
        color: var(--var-soft-blue);
    }

    span {
        color: white;
    }

    .card-container {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        width: 100%;
        max-width: 1200px;
        /* Ajuste conforme necessário */
        margin: 2em auto;
    }

    .card {
        width: calc(33.333% - 1em);
        /* Ajusta a largura para 3 cards por linha */
        margin-bottom: 1rem;
        background-color: var(--var-card-dark);
        border-radius: 15px;
        padding: 2rem;
    }

    div.flex-row {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    div.coin-base,
    .time-left,
    .card-attribute {
        display: flex;
        align-items: center;
        padding: 1em 0;
    }

    .card-attribute {
        padding-bottom: 1.5em;
        border-top: 2px solid var(--var-line-dark);
    }

    a.hero-image-container {
        position: relative;
        display: block;
    }

    img.eye {
        position: absolute;
        width: 100%;
        max-width: 2em;
        top: 44%;
        left: 43%;
    }

    @media (min-width:400px) {
        img.eye {
            max-width: 3em;
        }
    }

    .hero-image-container::after {
        content: '';
        background-image: url("https://i.postimg.cc/9MtT4GZY/view.png");
        background-position: center;
        background-repeat: no-repeat;
        background-size: 5rem;
        background-color: hsla(178, 100%, 50%, 0.3);
        width: 100%;
        height: 100%;
        border-radius: 1rem;
        position: absolute;
        top: 0;
        left: 0;
        display: block;
        z-index: 2;
        opacity: 0;
        transition: opacity 0.3s ease-out;
    }

    .hero-image-container:hover::after {
        opacity: 1;
    }

    .small-image {
        width: 1.2em;
        margin-right: .5em;
    }

    .small-avatar {
        width: 2em;
        border-radius: 200px;
        outline: 2px solid white;
        margin-right: 1.4em;
    }

    div.attribution {
        margin: 0 auto;
        width: 100%;
        font: var(--var-para);
        text-align: center;
        padding: 1.5em 0 4em 0;
        color: var(--var-line-dark);
    }

    .attribution a {
        color: var(--var-soft-blue);
    }

    @media (min-width:600px) {
        body {
            font-size: 18px;
        }
    }
</style>
<div class="card-container">
    <?php $__currentLoopData = $news; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $n): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="card">
            <a class="hero-image-container" href=""></a>
            <?php if($n->image): ?>
                <img class="hero-image" src="<?php echo e(asset('storage/' . $n->image)); ?>" class="card-img-top"
                    alt="<?php echo e($n->title); ?>">
            <?php endif; ?>
            </a>
            <main class="main-content">
                <h1><?php echo e($n->title); ?></h1>
                <p><?php echo e(Str::limit($n->content, 150)); ?></p>
                <div class="flex-row"></div>
            </main>
            <div class="card-attribute">
                <a href="<?php echo e(route('news.show', $n->id)); ?>" class="btn btn-primary">Leia mais</a>
            </div>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php /**PATH C:\Users\alvar\Downloads\Martechs Ao\Jimbuebue-ao\resources\views/news/index.blade.php ENDPATH**/ ?>