<!DOCTYPE html>
<html lang="pt-BR">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Painel de Administração - Plataforma de Notícias</title>

    <!-- CSS do Bootstrap -->
    

    <!-- CSS Personalizado (se necessário) -->
    
    <style>
        @import url('https://fonts.googleapis.com/css?family=Oswald:300,400,500|PT+Sans+Narrow:400,700|Play:400,700|Ubuntu+Condensed&display=swap&subset=cyrillic');


        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        ul,
        li {
            list-style: none;
        }

        html,
        body {
            height: 100%;
            background: #efefef;
            font-family: 'Oswald', sans-serif;
        }

        .container {
            display: flex;
            flex-direction: column;
            /* height: 100%; */
            /* width: 100%; */
            /* min-width: 480px; */
            margin-top:50px;
            padding: 0 40px;
        }

        .breadcrumb {
            display: flex;
            border-radius: 10px;
            margin: auto;
            text-align: center;
            top: 50%;
            width: 100%;
            height: 40px;
            transform: translateY(-50%);
            z-index: 1;
            justify-content: center;
        }


        .breadcrumb__item {
            height: 100%;
            background-color: white;
            color: #252525;
            font-family: 'Oswald', sans-serif;
            border-radius: 7px;
            letter-spacing: 1px;
            transition: all 0.3s ease;
            text-transform: uppercase;
            position: relative;
            display: inline-flex;
            justify-content: center;
            align-items: center;
            font-size: 16px;
            transform: skew(-21deg);
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.26);
            margin: 5px;
            padding: 0 40px;
            cursor: pointer;
        }


        .breadcrumb__item:hover {
            background: #490099;
            color: #FFF;
        }


        .breadcrumb__inner {
            display: flex;
            flex-direction: column;
            margin: auto;
            z-index: 2;
            transform: skew(21deg);
        }

        .breadcrumb__title {
            font-size: 16px;
            text-overflow: ellipsis;
            overflow: hidden;
            white-space: nowrap;
        }


        @media all and (max-width: 1000px) {
            .breadcrumb {
                height: 35px;
            }

            .breadcrumb__title {
                font-size: 11px;
            }

            .breadcrumb__item {
                padding: 0 30px;
            }
        }

        @media all and (max-width: 710px) {
            .breadcrumb {
                height: 30px;
            }

            .breadcrumb__item {
                padding: 0 20px;
            }

        }
    </style>
</head>


<body>

    <div class="container">
        <ul class="breadcrumb">
            <li class="breadcrumb__item breadcrumb__item-firstChild">
                <span class="breadcrumb__inner">
                    <span class="breadcrumb__title"> <a class="nav-link"
                            href="<?php echo e(route('dashboard')); ?>">Dashboard</a></span>
                </span>
            </li>
            <li class="breadcrumb__item">
                <span class="breadcrumb__inner">
                    <span class="breadcrumb__title"> <a class="nav-link"
                            href="<?php echo e(route('admin.reports')); ?>">Relatórios</a></span>
                </span>
            </li>
            <li class="breadcrumb__item">
                <span class="breadcrumb__inner">
                    <span class="breadcrumb__title"><a class="nav-link"
                            href="<?php echo e(route('admin.index')); ?>">Notícias</a></span>
                </span>
            </li>
            <li class="breadcrumb__item breadcrumb__item-lastChild">
                <span class="breadcrumb__inner">
                    <span class="breadcrumb__title"><a class="nav-link" href="<?php echo e(route('admin.create')); ?>">Adicionar
                            Notícia</a></span>
                </span>
            </li>
            <li class="breadcrumb__item breadcrumb__item-lastChild">
                <span class="breadcrumb__inner">
                    <span class="breadcrumb__title"><a class="nav-link"
                            href="<?php echo e(route('profile.edit')); ?>">Perfil</a></span>
                </span>
            </li>
            <li class="breadcrumb__item breadcrumb__item-lastChild">
                <span class="breadcrumb__inner">
                    <span class="breadcrumb__title"><a class="nav-link" href="<?php echo e(route('logout')); ?>"
                        onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Sair</a>
                     <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                         <?php echo csrf_field(); ?>
                     </form></span>
                </span>
            </li>
        </ul>

    </div>

    <div class="container mt-4">
        <?php echo $__env->yieldContent('content'); ?>
    </div>

    <!-- Scripts do Bootstrap -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- Scripts Personalizados (se necessário) -->
    <script src="<?php echo e(asset('js/app.js')); ?>"></script>


</body>

</html>
<?php /**PATH C:\Users\alvar\Downloads\Martechs Ao\Jimbuebue-ao\resources\views\layouts\app.blade.php ENDPATH**/ ?>